DeFi Technologies Inc.

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/defi-technologies-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/defi-technologies-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1743379200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.newswire.ca/news-releases/defi-technologies-inc-announces-record-2024-financial-results-adjusted-revenues-of-c-204-4-million-us-144-8-million-adjusted-ebitda-of-116-1-million-us-80-4-million-and-adjusted-net-income-of-c-115-07-million-us-84-million-and-notable-strat-832251399.html",
    "holding_balance": 208.8,
    "holding_net_change": 4.8,
    "transaction_value_usd": 396158.832,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1754438400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.newswire.ca/news-releases/defi-technologies-provides-monthly-corporate-update-valour-reports-us-947-million-c-1-3-billion-in-aum-and-monthly-net-inflows-of-us-14-4-million-c-19-8-million-in-july-2025-among-other-key-developments-889770272.html",
    "holding_balance": 251.6,
    "holding_net_change": 43.6,
    "transaction_value_usd": 5015355.524,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1767139200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://assets.ctfassets.net/yite7zc9v1g4/1dKITVHpitzqJfZskNpJ9G/6cc8db8f3cbbf1bae1507e883a35bc67/DeFi_2025_AFS_w_Auditors_report.pdf",
    "holding_balance": 2596.9563,
    "holding_net_change": 2345.36,
    "transaction_value_usd": 205198548.4608,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/defi-technologies-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    2596.9563
  ],
  [
    1779062400000,
    2596.9563
  ],
  [
    1779148800000,
    2596.9563
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/defi-technologies-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    201081962.735118
  ],
  [
    1779062400000,
    199820906.725401
  ],
  [
    1779148800000,
    199342391.557563
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/defi-technologies-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 0.94,
    "date": "2026-05-14",
    "high": 1.12,
    "open": 0.96,
    "close": 1.12,
    "volume": 1149417
  },
  {
    "low": 0.97,
    "date": "2026-05-15",
    "high": 1.05,
    "open": 1.05,
    "close": 0.97,
    "volume": 484216
  },
  {
    "low": 0.93,
    "date": "2026-05-19",
    "high": 1.02,
    "open": 0.98,
    "close": 0.98,
    "volume": 404353
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/defi-technologies-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0.035,
  "quarterly_earnings_growth": -0.881,
  "eps_estimate_current_quarter": 0.0295
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/defi-technologies-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -8.41,
  "six_month_return": -43.35,
  "three_month_return": -1.01
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/defi-technologies-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 53.5,
  "total_btc_percentage": 0.012,
  "share_price_change_state": "down"
}